Pagina 1 di 3 123 UltimaUltima
Risultati da 1 a 10 di 21
  1. #1
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    23
    Professione
    Progettista meccanico
    Regione
    Liguria
    Software
    Microstatio, Inventor

    Predefinito Messa in tavola colorata

    Ciao a tutti,

    come da oggetto in Inventor (2013) c'è il modo di fare la messa in tavola a colori in automatico?
    Cio' io in assieme ho un pezzo che ha colore giallo uno azzurro uno verde ecosì via.....

    c'è il modo di fargli mantenere i colori durante la messa in tavola, invece che fare tutto nero?

    se non proprio automaticamente, qual'è il modo più furbo pe farlo?

    il problema è che poi su autocad con disegnio complessi tutti neri non è semplice gestirli!!

    grazie a tutti

  2. #2
    Utente Senior L'avatar di Tarkus
    Iscritto dal
    2007
    Messaggi
    2336
    Professione
    Progettista,Disegnatore
    Regione
    Toscana
    Software
    Autocad Mechanical,Inventor 2017,HyperMill2012

    Predefinito

    Citazione Originariamente Scritto da Ally83 Visualizza Messaggio
    Ciao a tutti,

    come da oggetto in Inventor (2013) c'è il modo di fare la messa in tavola a colori in automatico?
    Cio' io in assieme ho un pezzo che ha colore giallo uno azzurro uno verde ecosì via.....

    c'è il modo di fargli mantenere i colori durante la messa in tavola, invece che fare tutto nero?

    se non proprio automaticamente, qual'è il modo più furbo pe farlo?

    il problema è che poi su autocad con disegnio complessi tutti neri non è semplice gestirli!!

    grazie a tutti
    Quando metti in tavola una vista, hai a disposizione tre bottoni in basso a destra nella finestra di dialogo,dove puoi scegliere tra visualizzazione con o senza linee nascoste oppure visualizzazione a colori anche qui con spigoli nascosti o no.
    Saluti
    Tarkus

  3. #3
    Utente Standard L'avatar di Alby189
    Iscritto dal
    2008
    Messaggi
    212
    Professione
    Progettista
    Regione
    Marche
    Software
    Catia V5R20 + Autocad

    Predefinito

    Inserendo la vista con la spunta su "vista ombreggiata" l'oggetto mantiene gli stessi colori del 3D.
    Però se esporti in dwg non credo ti salvi anche la texture colorata, ma solo le linee di contorno, dovresti verificare.

  4. #4
    Utente Junior
    Iscritto dal
    2012
    Messaggi
    23
    Professione
    Progettista meccanico
    Regione
    Liguria
    Software
    Microstatio, Inventor

    Predefinito

    quella funzione la conosco

    ma a parte il fatto che durante l'esportazione mi fa tutto nero....

    poi a me servirebbe colorare solo linee....

    il metodo che io conosco è elemento...proprietà....colore....

    però farla per tanti elementi è una proceduara lentissima e lunga

  5. #5
    Utente poco attivo
    Iscritto dal
    2011
    Messaggi
    4
    Professione
    Disegnatore
    Regione
    Lombardia
    Software
    inventor 2011

    Predefinito

    Buon giorno a tutti, ho anche io un'esigenza simile ma forse un pò più complicata da risolvere. inventor 2016. Nei miei assiemi per facilitare il riconoscimento dei pezzi sono abituato a colorarli diversamente nel 3d. Quando faccio la messa in tavola dei particolari mi piacerebbe che il colore delle linee del pezzo fosse uguale a quelle del 3d. Sarebbe facilmente risolvibile con la vista ombreggiata ma allo stesso tempo si caricherebbe troppo il disegno del colore. Vorrei riportare solamente il colore della linea, secondo voi è fattibile?

  6. #6
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    805
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    http://www.cad3d.it/forum1/threads/3...+colore+tavola

    - Editato -
    Come non detto link "deceduto"
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  7. #7
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    805
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Mi pare fosse questa, su assiemi grossi lentissima.

    Codice:
    Public Sub ChangeViewEdgeColorToFaceColor()
    
    Dim invAllSheets As Sheets
    Dim invSHEET As Sheet
    Dim invDrawDOC As DrawingDocument
    Dim answer
    
        
    
        Set invDrawDOC = ThisApplication.ActiveDocument
        
       
        'On Error Resume Next
        'Debug.Print "START"
        Set invAllSheets = invDrawDOC.Sheets
        
        If invAllSheets.Count > 1 Then
            answer = MsgBox("Ci sono " & invAllSheets.Count & " fogli: processo tutto?", vbYesNo, "Change colors")
            If answer = vbYes Then
                For Each invSHEET In invAllSheets
                Debug.Print "CALLING >1"
                    Call ChangeSheetColors(invSHEET)
                Next invSHEET
            Else
                'Debug.Print "CALLING 1"
                Call ChangeSheetColors(invDrawDOC.ActiveSheet)
            End If
            
        Else
            Call ChangeSheetColors(invDrawDOC.ActiveSheet)
        End If
    End Sub
    
    Private Sub ChangeSheetColors(invSHEET As Sheet)
        Dim invAllViews As DrawingViews
        Dim invCurrView As DrawingView
    
        Dim invAllCurves As DrawingCurvesEnumerator
        Dim invCURVE As DrawingCurve
        Dim invAllSegs As DrawingCurveSegments
        Dim invSEG As DrawingCurveSegment
        Dim objGEN As Object
        Dim invRenderST As RenderStyle
        Dim invFace As Face
        Dim bytRED As Byte
        Dim bytGREEN As Byte
        Dim bytBLUE As Byte
        Dim invCOLOR As color
        Dim invTO As TransientObjects
        Dim invEdgePRX As EdgeProxy
        Dim invAllFACES As Faces
    
    
        On Error Resume Next
        Set invTO = ThisApplication.TransientObjects
        Set invCOLOR = invTO.CreateColor(255, 0, 0)
        
        Set invAllViews = invSHEET.DrawingViews
        For Each invCurrView In invAllViews
            Set invAllCurves = invCurrView.DrawingCurves
            'Debug.Print "n° CURVE: " & invAllCurves.Count
            For Each invCURVE In invAllCurves
                Set invAllSegs = invCURVE.Segments
                'Debug.Print "n° Segmenti " & invAllSegs.Count
                For Each invSEG In invAllSegs
                    Set objGEN = invSEG.Parent.ModelGeometry
                    If (TypeOf objGEN Is EdgeProxy) And (invSEG.Visible = True) Then
                        'Debug.Print "Trovata edgeproxy"
                        Set invEdgePRX = objGEN
                        Set invAllFACES = invEdgePRX.Faces
                        'Debug.Print "Edge proxy"
                        'Debug.Print "n° " & invAllFACES.Count & " facce"
                        For Each invFace In invAllFACES
                            Set invRenderST = invFace.GetRenderStyle(kOverrideRenderStyle)
                            If Not invRenderST Is Nothing Then
                                invRenderST.GetAmbientColor bytRED, bytGREEN, bytBLUE
                                'Debug.Print "RED: " & bytRED
                                'Debug.Print "GREEN: " & bytGREEN
                                'Debug.Print "BLUE: " & bytBLUE
                                invCOLOR.SetColor bytRED, bytGREEN, bytBLUE
                                invCURVE.OverrideColor = invCOLOR
                                invCURVE.LineWeight = 0.05
                            End If
                        Next invFace
                    Else
                        If (TypeOf objGEN Is FaceProxy) And (invSEG.Visible = True) Then
                            Set invFace = objGEN
                            Set invRenderST = invFace.GetRenderStyle(kOverrideRenderStyle)
                            Debug.Print "RED: " & bytRED
                                Debug.Print "GREEN: " & bytGREEN
                                Debug.Print "BLUE: " & bytBLUE
                                invCOLOR.SetColor bytRED, bytGREEN, bytBLUE
                                invCURVE.OverrideColor = invCOLOR
                                invCURVE.LineWeight = 0.05
                        End If
                    End If
                    
                    'If (TypeOf objGEN Is ) Then
                    '   Debug.Print "Trovati!"
                    'End If
                   
                Next invSEG
            Next invCURVE
        Next invCurrView
    End Sub
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  8. #8
    Utente Senior
    Iscritto dal
    2013
    Messaggi
    1235
    Professione
    Progettista/Disegnatore
    Regione
    Emilia Romagna
    Software
    Inventor/Rhinoceros/Creo Direct Modeling

    Predefinito

    Mi aggancio a questa discussione per un esigenza simile.

    Nella vista di un assieme vorrei che uno dei componenti avesse l'aspetto ombreggiato come il 3D mentre gli altri dovranno essere rappresentati come una normale messa in tavola.

    E' fattibile?
    Come fare?

  9. #9
    Utente Standard L'avatar di Catafratto
    Iscritto dal
    2011
    Messaggi
    805
    Professione
    Disegnatore/progettista
    Regione
    Veneto
    Software
    Inventor 2016

    Predefinito

    Citazione Originariamente Scritto da TECNOMODEL Visualizza Messaggio
    Mi aggancio a questa discussione per un esigenza simile.

    Nella vista di un assieme vorrei che uno dei componenti avesse l'aspetto ombreggiato come il 3D mentre gli altri dovranno essere rappresentati come una normale messa in tavola.

    E' fattibile?
    Come fare?
    Mi viene in mente un super-accrocchio: crei una rappresentazione di posizione senza variare niente, una rappresentazione di vista dove lasci visibile solo quanto ti interessa, in tavola metti la tua vista "base" + la vista sovrapposta con la tua rappresentazione di posizione farlocca e la rappresentazione di vista che hai preparato e stile di rappresentazione ombreggiato.
    Spesso astuzia ed intelligenza sono molto più efficaci dell'ottusa forza bruta: ma non ho proprio tempo di cercare qualcun alltro...

  10. #10
    Utente Senior
    Iscritto dal
    2013
    Messaggi
    1235
    Professione
    Progettista/Disegnatore
    Regione
    Emilia Romagna
    Software
    Inventor/Rhinoceros/Creo Direct Modeling

    Predefinito

    Non mi è chiaro, probabilmente perché ancora non mi è chiaro il concetto stesso di rappresentazione di posizione, di vista ecc.

    Ho creato le 2 rappresentazioni, nella vista in tavola però "comanda" la rappresentazione di vista.
    Se scelgo quella totale vedo tutto, se scelgo quella in cui ho solo i pezzi da evidenziare vedo solo quelli.

    O forse intendi di creare 2 viste e sovrapporle? Allora però non capisco perché creare la rappresentazione di posizione farlocca.


  • Pagina 1 di 3 123 UltimaUltima

    Discussioni Simili

    1. Risposte: 2
      Ultimo Messaggio: 07-08-2012, 14: 44
    2. non vedo la deformata colorata
      Di mario barbieri nel forum Ansys
      Risposte: 3
      Ultimo Messaggio: 11-02-2012, 16: 48
    3. Messa in tavola ??
      Di Guido nel forum Rhino3D
      Risposte: 1
      Ultimo Messaggio: 29-03-2010, 16: 04
    4. messa in tavola
      Di jim78b nel forum Solidworks
      Risposte: 7
      Ultimo Messaggio: 19-01-2010, 17: 40

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti